Subject: Re: Cygwin-1.7.7: mv appends .exe to directory if matching .exe exists
From: "Steven Hartland" <[email-masked]>
To: "Eric Blake" <[email-masked]>
Cc: "David Mastronarde" <[email-masked]>, <[email-masked]>
Date: Tue, 4 Jan 2011 21:31:28 -0000
List-Id: <cygwin.cygwin.com>

----- Original Message ----- 
From: "Eric Blake" <[email-masked]>
On 01/04/2011 12:01 PM, Steven Hartland wrote:
> It really feels like so called consistency is being enforced over
> functionality which is sad as I always though cygwin's goal was to make
> Unix look and feel under windows?
> 
> With the Unix look and feel, do you type 'ls file' or 'ls.exe file'?
> There would be a LOT of upset users if we didn't do at least some magic
> for .exe.  It's an unfortunate problem of running on Windows, while
> still providing apps that can be invoked from non-cygwin processes (if
> we wanted, we could name cygwin binaries with no extension, just as in
> Unix, but then native windows apps couldn't easily run them).

As acknowledged that's one of required special cases, but when I
expand an archive with two files on Unix I end up with two files
and not one as in the following on cygwin:-
tar -xvzf cygwin-test.tar.gz 
w/
w/ls.exe
w/ls
[root@blade01]/tmp:
[root@blade01]/tmp: ls -l w
total 0
-rw-r--r--+ 1 root None 0 2011-01-04 20:42 ls

So not only did I loose a file I lost the windows one, not exactly
desired behavour.

What's even more confusing for the user is that its order dependent
so if the tar extracts w/ls followed by w/ls.exe instead of w/ls.exe 
followed by w/ls you do get both files.

This always used to work just fine its only been broken in 1.7.

When I raised this when we first identified the problem we where
basically told that wasnt a valid use of cygwin so would not be
fixed, so I expect this directory problem which stems from the
same behavour will be the same as well :(

With something like cygwin there are always going to be querks and
gotyas but some of the recent "fixes" seem to taking a step backwards
breaking otherwise fine uses of this most valuable tool.

If anyone's interested in revisting this issue you'll find it under
the subject: "tar deletes .exe files on extraction" in the archives.

    Regards
    Steve

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple